<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelHNavStructBuilder Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelHNavStructBuilder Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelHNavStructBuilder" --><!-- doxytag: inherits="iBase" -->
<p>Hierarchical navigation struct creator.  
 <a href="structiCelHNavStructBuilder.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celhpf_8h_source.html">tools/celhpf.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelHNavStructBuilder:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelHNavStructBuilder.png" usemap="#iCelHNavStructBuilder_map" alt=""/>
  <map id="iCelHNavStructBuilder_map" name="iCelHNavStructBuilder_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,139,24"/>
</map>
 </div></div>

<p><a href="structiCelHNavStructBuilder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelHNavStruct.html">iCelHNavStruct</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHNavStructBuilder.html#a7dc5f23c72d14e8581192db8bdd7eb41">BuildHNavStruct</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build a hierarchical navigation structure using the current configurations.  <a href="#a7dc5f23c72d14e8581192db8bdd7eb41"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHNavStructBuilder.html#a94f6f032ca52df67b38faffa51ee620d">GetNavMeshParams</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an object representation of the navigation mesh parameters.  <a href="#a94f6f032ca52df67b38faffa51ee620d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelHNavStruct.html">iCelHNavStruct</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHNavStructBuilder.html#a3b9fcb278170707d6396afaa3bdc1fcf">LoadHNavStruct</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiVFS.html">iVFS</a> *vfs, const char *directory)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a hierarchical navigation structure from a file.  <a href="#a3b9fcb278170707d6396afaa3bdc1fcf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHNavStructBuilder.html#aa1168b4313ef8553477420825198bf9a">SetNavMeshParams</a> (const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *parameters)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set navigation mesh parameters.  <a href="#aa1168b4313ef8553477420825198bf9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelHNavStructBuilder.html#a6c9105834e223d0016d0b15a16240a48">SetSectors</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> * &gt; sectorList)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Sectors used to build the navigation structure.  <a href="#a6c9105834e223d0016d0b15a16240a48"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Hierarchical navigation struct creator. </p>

<p>Definition at line <a class="el" href="celhpf_8h_source.html#l00168">168</a> of file <a class="el" href="celhpf_8h_source.html">celhpf.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7dc5f23c72d14e8581192db8bdd7eb41"></a><!-- doxytag: member="iCelHNavStructBuilder::BuildHNavStruct" ref="a7dc5f23c72d14e8581192db8bdd7eb41" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelHNavStruct.html">iCelHNavStruct</a>* <a class="el" href="structiCelHNavStructBuilder.html#a7dc5f23c72d14e8581192db8bdd7eb41">iCelHNavStructBuilder::BuildHNavStruct</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build a hierarchical navigation structure using the current configurations. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the navigation mesh, or 0 if something went wrong. </dd></dl>

</div>
</div>
<a class="anchor" id="a94f6f032ca52df67b38faffa51ee620d"></a><!-- doxytag: member="iCelHNavStructBuilder::GetNavMeshParams" ref="a94f6f032ca52df67b38faffa51ee620d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a>* <a class="el" href="structiCelHNavStructBuilder.html#a94f6f032ca52df67b38faffa51ee620d">iCelHNavStructBuilder::GetNavMeshParams</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an object representation of the navigation mesh parameters. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to navigation mesh parameters object. </dd></dl>

</div>
</div>
<a class="anchor" id="a3b9fcb278170707d6396afaa3bdc1fcf"></a><!-- doxytag: member="iCelHNavStructBuilder::LoadHNavStruct" ref="a3b9fcb278170707d6396afaa3bdc1fcf" args="(iVFS *vfs, const char *directory)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelHNavStruct.html">iCelHNavStruct</a>* <a class="el" href="structiCelHNavStructBuilder.html#a3b9fcb278170707d6396afaa3bdc1fcf">iCelHNavStructBuilder::LoadHNavStruct</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiVFS.html">iVFS</a> *&#160;</td>
          <td class="paramname"><em>vfs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>directory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a hierarchical navigation structure from a file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vfs</td><td>Pointer to the virtual file system. The file will be loaded from the current directory of this file system. </td></tr>
    <tr><td class="paramname">directory</td><td>Directory name (vfs path). </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the navigation mesh, or 0 if something went wrong. </dd></dl>

</div>
</div>
<a class="anchor" id="aa1168b4313ef8553477420825198bf9a"></a><!-- doxytag: member="iCelHNavStructBuilder::SetNavMeshParams" ref="aa1168b4313ef8553477420825198bf9a" args="(const iCelNavMeshParams *parameters)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelHNavStructBuilder.html#aa1168b4313ef8553477420825198bf9a">iCelHNavStructBuilder::SetNavMeshParams</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set navigation mesh parameters. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Should be called before <a class="el" href="structiCelHNavStructBuilder.html#a6c9105834e223d0016d0b15a16240a48" title="Set the Sectors used to build the navigation structure.">iCelHNavStructBuilder::SetSectors()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a6c9105834e223d0016d0b15a16240a48"></a><!-- doxytag: member="iCelHNavStructBuilder::SetSectors" ref="a6c9105834e223d0016d0b15a16240a48" args="(csList&lt; iSector * &gt; sectorList)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelHNavStructBuilder.html#a6c9105834e223d0016d0b15a16240a48">iCelHNavStructBuilder::SetSectors</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> * &gt;&#160;</td>
          <td class="paramname"><em>sectorList</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the Sectors used to build the navigation structure. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sectorList</td><td>List containing the sectors for which navmeshes will be built. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True in case everything went right and false otherwise. </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Even in case of a false return, the old sector information is lost. You should call <a class="el" href="structiCelHNavStructBuilder.html#aa1168b4313ef8553477420825198bf9a" title="Set navigation mesh parameters.">iCelHNavStructBuilder::SetNavMeshParams()</a> before this method. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celhpf_8h_source.html">celhpf.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
